org.apache.olingo.server.api.deserializer

## Class DeserializerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.olingo.commons.api.ex.ODataException
      - - org.apache.olingo.server.api.ODataLibraryException
        - - org.apache.olingo.server.api.deserializer.DeserializerException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    BatchDeserializerException

      public class DeserializerException
      extends ODataLibraryException

  Exception thrown by deserializers.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeserializerException.MessageKeys` Keys for exception texts in the resource bundle.

    - ### Nested classes/interfaces inherited from class org.apache.olingo.server.api.ODataLibraryException

      `ODataLibraryException.MessageKey, ODataLibraryException.ODataErrorMessage`

  - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.server.api.ODataLibraryException

      `DEFAULT_SERVER_BUNDLE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeserializerException(String developmentMessage, ODataLibraryException.MessageKey messageKey, String... parameters)` Creates deserializer exception.
    `DeserializerException(String developmentMessage, Throwable cause, ODataLibraryException.MessageKey messageKey, String... parameters)` Creates deserializer exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getBundleName()` Gets the name of the `ResourceBundle` containing the exception texts.

    - ### Methods inherited from class org.apache.olingo.server.api.ODataLibraryException

      `getLocalizedMessage, getMessageKey, getTranslatedMessage, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeserializerException

          public DeserializerException(String developmentMessage,
                                       ODataLibraryException.MessageKey messageKey,
                                       String... parameters)

      Creates deserializer exception.
      Parameters:
        `developmentMessage` - message text as fallback and for debugging purposes
        `messageKey` - one of the `DeserializerException.MessageKeys` for the exception text in the resource bundle
        `parameters` - parameters for the exception text

    - #### DeserializerException

          public DeserializerException(String developmentMessage,
                                       Throwable cause,
                                       ODataLibraryException.MessageKey messageKey,
                                       String... parameters)

      Creates deserializer exception.
      Parameters:
        `developmentMessage` - message text as fallback and for debugging purposes
        `cause` - the cause of this exception
        `messageKey` - one of the `DeserializerException.MessageKeys` for the exception text in the resource bundle
        `parameters` - parameters for the exception text

  - ### Method Detail

    - #### getBundleName

          protected String getBundleName()

      Description copied from class: `ODataLibraryException`

      Gets the name of the `ResourceBundle` containing the exception texts.

      The key for an exception text is the concatenation of the exception-class name and the `ODataLibraryException.MessageKey`, separated by a dot.

      Specified by:
        `getBundleName` in class `ODataLibraryException`
      Returns:
        the name of the resource bundle

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.